# Module `wibox.layout.margin`

### Info:

- Copyright: 2010 Uli Schlachter
- Release: v3.5.4
- Author: Uli Schlachter

## Functions

draw (wibox, cr, width, height) | Draw a margin layout
fit (width, height) | Fit a margin layout into the given space
set_widget (widget) | Set the widget that this layout adds a margin on.
set_margins (val) | Set all the margins to val.
set_color (color) | Set the margins color to color
reset () | Reset this layout.
set_left (layout, margin) | Set the left margin that this layout adds to its widget.
set_right (layout, margin) | Set the right margin that this layout adds to its widget.
set_top (layout, margin) | Set the top margin that this layout adds to its widget.
set_bottom (layout, margin) | Set the bottom margin that this layout adds to its widget.

## Functions

draw (wibox, cr, width, height)
  Draw a margin layout

  ### Parameters:

  - wibox
  - cr
  - width
  - height
fit (width, height)
  Fit a margin layout into the given space

  ### Parameters:

  - width
  - height
set_widget (widget)
  Set the widget that this layout adds a margin on.

  ### Parameters:

  - widget
set_margins (val)
  Set all the margins to val.

  ### Parameters:

  - val
set_color (color)
  Set the margins color to color

  ### Parameters:

  - color
reset ()
  Reset this layout. The widget will be unreferenced, the margins set to 0 and the color erased
set_left (layout, margin)
  Set the left margin that this layout adds to its widget.

  ### Parameters:

  - layout The layout you are modifying.
  - margin The new margin to use.
set_right (layout, margin)
  Set the right margin that this layout adds to its widget.

  ### Parameters:

  - layout The layout you are modifying.
  - margin The new margin to use.
set_top (layout, margin)
  Set the top margin that this layout adds to its widget.

  ### Parameters:

  - layout The layout you are modifying.
  - margin The new margin to use.
set_bottom (layout, margin)
  Set the bottom margin that this layout adds to its widget.

  ### Parameters:

  - layout The layout you are modifying.
  - margin The new margin to use.

generated by LDoc 1.4.2